import java.rmi.RemoteException;
import java.rmi.server.UnicastRemoteObject;

public class AccountImpl extends UnicastRemoteObject implements Account
{
	private int no;
	private double balance;

    public AccountImpl(int accountNo) throws RemoteException
	{
        super();
		no = accountNo;
		balance = 0;
    }

	public int getAccountNo()
	{
		return no;
	}
	
    public synchronized void deposit(double amount)
	{
        balance += amount;
    }

    public synchronized void withdraw(double amount)
	{
        balance -= amount;
    }

    public synchronized String accountStatement()
	{
        return "Account " + no + ": " + balance;
    }
}
