import java.rmi.server.UnicastRemoteObject;
import java.util.List;
//!
import java.rmi.RemoteException;
import java.util.ArrayList;
//#

public class BankImpl extends UnicastRemoteObject implements Bank
{
	private List<Account> accounts;

	//#
	protected BankImpl() throws RemoteException
	{
		super();
		accounts = new ArrayList<Account>();
	}

	public Account newAccount(int accountNo) throws RemoteException
	{
		Account acc = new AccountImpl(accountNo);
		accounts.add(acc);
		return acc;
	}
	
	public Account getAccount(int accountNo) throws RemoteException
	{
		// This can/should be programmed more efficiently, e.g., using a hash map!
		for (Account a : accounts) {
			if (a.getAccountNo() == accountNo)
				return a;
		}
		return null;
	}

	public List<Account> getAllAccounts()
	{
		return accounts;
	}
	//#
}
