import java.rmi.Naming;

public class Client
{
    public static void main(String[] args)
	{
        try {
            Bank bank = (Bank)Naming.lookup("rmi://localhost/Bank");
			
            Account account1 = bank.newAccount(123456789);
            account1.deposit(100000);
			
            Account account2 = bank.newAccount(234567890);
            account2.deposit(50000);
			
            Account account3 = bank.newAccount(345678901);
            account3.deposit(1020);
			
			System.out.println(bank.getAccount(123456789).accountStatement());
			System.out.println(bank.getAccount(234567890).accountStatement());
			System.out.println(bank.getAccount(345678901).accountStatement());

            account1.withdraw(5000);
            account2.deposit(15000);
            account3.deposit(30);

			for (Account a : bank.getAllAccounts())
				System.out.println(a.accountStatement());
        }
		catch (Exception e) {
            System.out.println(e.getMessage());
            e.printStackTrace();
        }
    }
}
