import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.naming.NamingEnumeration;
import javax.naming.Binding;
import java.util.Properties;

class Lookup
{
    public static void main(String[] args)
	{
		// Check whether command line argument is present
		if (args.length != 1) {
			System.err.println("Usage: java Lookup <directory name>");
			System.exit(1);
		}
		String name = args[0];

		// Execute JNDI lookup for directory 'name' and print the result
		//#

		// Service provider
		Properties env = new Properties();
		env.put(Context.INITIAL_CONTEXT_FACTORY, 
				"com.sun.jndi.fscontext.RefFSContextFactory");
		
		try {
			// Create the initial context
			Context ctx = new InitialContext(env);
			
			// Get all the bindings in the context given by the
			// command line argument
			NamingEnumeration<Binding> list = ctx.listBindings(name);

			// Print all the bindings (i.e. "list" the directory)
			while (list.hasMore()) {
				Binding b = list.next();
    			System.out.println(b.getName() + ": " + b.getClassName());
			}
		}
		catch (NamingException e) {
			System.err.println("Problem looking up " + name + ": " + e);
		}
		//#
    }
}
